Bug 624483 - Please upgrade CMake
Please upgrade CMake
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: cmake (Show other bugs)
el5
All Linux
low Severity medium
: ---
: ---
Assigned To: Orion Poplawski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-16 11:28 EDT by Yngve I. Levinsen
Modified: 2010-09-05 14:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: cmake-2.6.4-5.el5.2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-09-05 14:56:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Example code that reproduces the bug. (4.73 KB, application/zip)
2010-08-16 11:28 EDT, Yngve I. Levinsen
no flags Details

  None (edit)
Description Yngve I. Levinsen 2010-08-16 11:28:15 EDT
Created attachment 438978 [details]
Example code that reproduces the bug.

Description of problem: I am using Scientific Linux CERN 5 which has EPEL repositories enabled (I think it is el5 but not 100% sure). The CMake version is currently 2.4 which has some limitations in e.g. dependency check of fortran code (it believes that fortran is a case sensitive language). I would like to request on behalf of the CERN community that you would upgrade the CMake version, preferably to version 2.8.x


Version-Release number of selected component (if applicable): 2.4


How reproducible: Always


Steps to Reproduce:
1. Write a simple code with "module MNAME" and then "use mname" somewhere else
2. Build with CMake, during compilation you will notice it will not figure out where to get mname.mod
  
Actual results: Compilation fails :(


Expected results: Successful compilation :)


Additional info: An example code which reproduces the error is attached.
Comment 1 Yngve I. Levinsen 2010-08-16 11:38:41 EDT
Just to clarify my perhaps bad choice of words, I do not have an actual mandate from CERN to request this, I meant that it would be a very much appreciated gesture to the Linux community at our lab :)
Comment 2 Orion Poplawski 2010-08-16 14:30:44 EDT
Couple issues:

- As you know, RHEL/EPEL is a very conservative distribution and we try to be very careful not to introduce any backwards incompatibilities.  I really don't know the full extent of issues you might run into moving from 2.4 -> 2.6 -> 2.8.

- cmake is now in RHEL proper as of RHEL-6.  They have chosen to use 2.6.4, so that would be the maximum version we could move to in EPEL-5.

I'll try to take a look at moving to 2.6.4.  Would that be enough of an update to fix your issues?
Comment 3 Yngve I. Levinsen 2010-08-16 14:53:53 EDT
Thank you for your quick response! I understand the issue about backwards incompatibilities, but wasn't sure how conservative the EPEL repository was since it is under Fedora (right?). Fedora isn't as conservative from what I have understood?

I will have a look at version 2.6.4 tomorrow and see if that would work for us.
Comment 4 Yngve I. Levinsen 2010-08-17 08:51:15 EDT
I just checked now, and it looks to me like 2.6.4 has the needed fixes for Fortran. An upgrade would be much appreciated from our side.
Comment 5 Fedora Update System 2010-08-18 17:22:22 EDT
cmake-2.6.4-5.el5.1 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/cmake-2.6.4-5.el5.1
Comment 6 Yngve I. Levinsen 2010-08-19 05:00:09 EDT
I am humbled at the speed of your response, and the effort you put into this. Thank you! Let me know if there is any additional information I can provide.
Comment 7 Fedora Update System 2010-08-19 17:57:41 EDT
cmake-2.6.4-5.el5.2 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cmake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cmake-2.6.4-5.el5.2
Comment 8 Fedora Update System 2010-08-20 15:57:45 EDT
cmake-2.6.4-5.el5.2 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update cmake'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/cmake-2.6.4-5.el5.2
Comment 9 Fedora Update System 2010-09-05 14:56:38 EDT
cmake-2.6.4-5.el5.2 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.